@charset "utf-8";

body {
  padding-top: 112px;

}

.page-hero {
  background-image: url(../../img/bg/bg_contact.jpg);
  max-width: 100%;
  height: 480px;
  justify-content: center;
  align-items: center;
  background-size: cover;
  /* または contain */
  background-position: center;
}


h2 {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
  color: #fff;
  letter-spacing: 0.1em;
}

.title_text {
  margin-bottom: 16px;
}



.contact_container {
  max-width: 960px;
  margin: 80px auto;
  padding: 16px 20px;
}

/* 問い合わせカードのレイアウト */
.options-grid {
  display: flex;
  gap: 40px;
  margin-top: 24px;
}

.contact_container img {
  display: block;
  /* ブロック要素にして中央寄せ */
  margin: 0 auto;
  width: 128px;
}


.option-card {
  flex: 1;
  border: 1px solid #332405;
  padding: 32px;
  text-align: center;
  text-decoration: none;
}

/* アクセスセクション */

.access h2 {
  color: #332405;
}


.access-item {
  display: flex;
  gap: 40px;
  margin-bottom: 60px;
  align-items: center;
}

.access-item img {
  width: 40%;
  object-fit: cover;
}

.access {
  max-width: 960px;
  margin: 0 auto;
  padding: 40px 20px;
}

.option-card {
  flex: 1;
  border: 1px solid #332405;
  padding: 32px;
  text-align: center;
  text-decoration: none;
  color: inherit;
  /* リンクの色を継承 */
  transition: background-color 0.3s;
}

.option-card:hover {
  background-color: #f9f9f9;
}


/* レスポンシブ対応の簡易例 */
@media (max-width: 800px) {
  body {
    padding-top: 64px;

  }

  h2 {
    font-size: 32px;
  }

  h3 {
    font-size: 24px;
  }

  .page-hero {
    background-image: url(../../img/bg/bg_contact.jpg);
    max-width: 100%;
    height: 240px;
    justify-content: center;
    align-items: center;
    background-size: cover;
    /* または contain */
    background-position: center;
  }

  .contact_container {
    margin: 32px auto;
    padding: 8px 32px;
  }

  .contact_container img {
    width: 96px;
  }

  /* 問い合わせカードのレイアウト */
  .options-grid {
    gap: 16px;
    margin-top: 24px;
  }


  .options-grid,
  .access-item {
    flex-direction: column;
  }

  .option-card p {
    font-size: 12px;
  }

  .access-item img {
    width: 100%;
  }

  .access-item {
    flex-direction: column;
    gap: 20px;
    /* 縦並びの時の余白を少し詰める */
    margin-bottom: 40px;
  }

  .access-item img {
    width: 100%;
    height: auto;
    /* 高さを自動にしないと比率が崩れる場合があります */
  }

  .access-item .info {
    width: 100%;
    /* テキストエリアも幅を100%に */
    text-align: left;
    /* 必要に応じて中央寄せにする場合は center */
    padding: 0 24px;
  }

}